summaryrefslogtreecommitdiff
path: root/src/third_party/wiredtiger/dist
diff options
context:
space:
mode:
Diffstat (limited to 'src/third_party/wiredtiger/dist')
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_all3
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_c_test_create2
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_copyright4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_define2
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_docs2
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_export10
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_funcs2
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_label4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_lang5
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_longlines4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_prototypes4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_python4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_readme4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_stat2
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_string2
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_style4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_tags45
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_typedef2
-rw-r--r--src/third_party/wiredtiger/dist/s_void4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_whitespace4
-rwxr-xr-xsrc/third_party/wiredtiger/dist/s_wtstats2
21 files changed, 71 insertions, 44 deletions
diff --git a/src/third_party/wiredtiger/dist/s_all b/src/third_party/wiredtiger/dist/s_all
index 33b8f6a76ba..31abab28910 100755
--- a/src/third_party/wiredtiger/dist/s_all
+++ b/src/third_party/wiredtiger/dist/s_all
@@ -56,7 +56,7 @@ errchk()
# Some tests shouldn't return an error, we exclude them here.
case "$1" in
- *s_export*)
+ *s_export|*s_tags)
break;;
*)
errfound=1;;
@@ -124,3 +124,4 @@ echo 'dist/s_all run finished'
if test $errmode -ne 0; then
exit $errfound;
fi
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_c_test_create b/src/third_party/wiredtiger/dist/s_c_test_create
index 616570dca2e..f4f9eb3ac1f 100755
--- a/src/third_party/wiredtiger/dist/s_c_test_create
+++ b/src/third_party/wiredtiger/dist/s_c_test_create
@@ -12,7 +12,7 @@
# script in the main C suite directory.
#
tmp=__a
-trap 'rm -f $tmp; exit 0' 0 1 2 3 13 15
+trap 'rm -f $tmp' 0 1 2 3 13 15
if [ "x$1" = "x" ]; then
echo "Usage: $0 test_name"
diff --git a/src/third_party/wiredtiger/dist/s_copyright b/src/third_party/wiredtiger/dist/s_copyright
index cfada71a839..9ff6c20492e 100755
--- a/src/third_party/wiredtiger/dist/s_copyright
+++ b/src/third_party/wiredtiger/dist/s_copyright
@@ -53,7 +53,7 @@ if [ $# -ne 0 ]; then
exit 0
fi
-trap 'rm -f $c1 $c2 $c3 $c4; exit 0' 0 1 2 3 13 15
+trap 'rm -f $c1 $c2 $c3 $c4' 0 1 2 3 13 15
year=`date +%Y`
@@ -141,3 +141,5 @@ special_copyright LICENSE 1 "$string1"
special_copyright src/docs/build-javadoc.sh 1 "$string2"
special_copyright src/docs/style/footer.html 2 "$string2"
special_copyright src/utilities/util_cpyright.c 1 "$string3"
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_define b/src/third_party/wiredtiger/dist/s_define
index 050101e8510..d5bdee7c45f 100755
--- a/src/third_party/wiredtiger/dist/s_define
+++ b/src/third_party/wiredtiger/dist/s_define
@@ -2,7 +2,7 @@
# Complain about unused #defines.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# List of source files to search.
l=`sed -e '/^[a-z]/!d' -e 's/[ ].*$//' -e 's,^,../,' filelist`
diff --git a/src/third_party/wiredtiger/dist/s_docs b/src/third_party/wiredtiger/dist/s_docs
index 08602989fe8..e2b1d2aed11 100755
--- a/src/third_party/wiredtiger/dist/s_docs
+++ b/src/third_party/wiredtiger/dist/s_docs
@@ -1,7 +1,7 @@
#! /bin/sh
t=__wt.$$
-trap 'rm -f $t /tmp/__doxy; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t /tmp/__doxy' 0 1 2 3 13 15
# Skip this when building release packages: docs are built separately
test -n "$WT_RELEASE_BUILD" && exit 0
diff --git a/src/third_party/wiredtiger/dist/s_export b/src/third_party/wiredtiger/dist/s_export
index 94242e0118d..dc69238b270 100755
--- a/src/third_party/wiredtiger/dist/s_export
+++ b/src/third_party/wiredtiger/dist/s_export
@@ -2,8 +2,8 @@
# Check for illegal external symbols.
#
-t=__a.c
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+t=__wt.$$
+trap 'rm -f $t' 0 1 2 3 13 15
case `uname` in
Darwin)
@@ -40,8 +40,10 @@ check()
}
# This check would normally be done after the library is built, but this way
-# we don't forget about a symbol during development. Check the previously
-# built library, if it exists.
+# we don't forget about a symbol during development. We usually build in the
+# top-level or build_posix directories, check the previously built library,
+# if it exists. And, allow this script to be run from the top-level directory
+# as well as locally.
for d in .libs build_posix/.libs; do
f="$d/libwiredtiger.a"
test -f $f && check $f
diff --git a/src/third_party/wiredtiger/dist/s_funcs b/src/third_party/wiredtiger/dist/s_funcs
index 8695c8d4fa7..70ddc7cbd68 100755
--- a/src/third_party/wiredtiger/dist/s_funcs
+++ b/src/third_party/wiredtiger/dist/s_funcs
@@ -2,7 +2,7 @@
# Complain about unused functions
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# List of files to search.
l=`sed -e '/^[a-z]/!d' -e 's/[ ].*$//' -e 's,^,../,' filelist`
diff --git a/src/third_party/wiredtiger/dist/s_label b/src/third_party/wiredtiger/dist/s_label
index b56ecc6fc78..c7b63d9d5b3 100755
--- a/src/third_party/wiredtiger/dist/s_label
+++ b/src/third_party/wiredtiger/dist/s_label
@@ -2,7 +2,7 @@
# Check WiredTiger error/return macros.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
cd ..
@@ -79,3 +79,5 @@ for f in `find bench examples ext src test -name '*.[ci]'`; do
sed -e "s,^,$f:," -e 's/$/ [return skips API_END call]/'
done
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_lang b/src/third_party/wiredtiger/dist/s_lang
index 0f0519f87e4..cd229b4ea29 100755
--- a/src/third_party/wiredtiger/dist/s_lang
+++ b/src/third_party/wiredtiger/dist/s_lang
@@ -2,7 +2,7 @@
# Check lang directories for potential name conflicts
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
cd ../lang
@@ -21,5 +21,8 @@ for d in *; do
echo "$l: potential SWIG naming conflict"
echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-="
cat $t
+ exit 1
}
done
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_longlines b/src/third_party/wiredtiger/dist/s_longlines
index 43e350022dd..bdb9811b4bd 100755
--- a/src/third_party/wiredtiger/dist/s_longlines
+++ b/src/third_party/wiredtiger/dist/s_longlines
@@ -2,7 +2,7 @@
# Check for long lines
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
l=`(cd .. &&
find bench/wtperf examples ext src test -name '*.[chisy]' &&
@@ -20,3 +20,5 @@ for f in $l ; do
expand -t8 < ../$f | awk -- \
"{if(length(\$0) > 80) printf(\"%s:%d\\n\", \"$f\", NR)}"
done
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_prototypes b/src/third_party/wiredtiger/dist/s_prototypes
index 5633c3b5140..4c07b9aa160 100755
--- a/src/third_party/wiredtiger/dist/s_prototypes
+++ b/src/third_party/wiredtiger/dist/s_prototypes
@@ -2,7 +2,7 @@
# Build a list of internal function and variable prototypes.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# proto --
# extract public functions.
@@ -83,3 +83,5 @@ l=`sed \
-e '/os_win/d' \
-e 's/[ ].*$//' filelist`
externs
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_python b/src/third_party/wiredtiger/dist/s_python
index ce955328288..b8aa5848637 100755
--- a/src/third_party/wiredtiger/dist/s_python
+++ b/src/third_party/wiredtiger/dist/s_python
@@ -2,7 +2,7 @@
# Python style checks.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
cd ..
@@ -25,3 +25,5 @@ test -s $t && {
echo 'trailing semi-colons in selected Python code:'
cat $t
}
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_readme b/src/third_party/wiredtiger/dist/s_readme
index be809a6455c..316e60773e0 100755
--- a/src/third_party/wiredtiger/dist/s_readme
+++ b/src/third_party/wiredtiger/dist/s_readme
@@ -1,7 +1,7 @@
#! /bin/sh
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
f=../README
. ../RELEASE_INFO
@@ -60,3 +60,5 @@ END_TEXT
cmp $t $f > /dev/null 2>&1 ||
(echo "Building $f" && rm -f $f && cp $t $f)
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_stat b/src/third_party/wiredtiger/dist/s_stat
index 0638a7f3337..935c7e1fb43 100755
--- a/src/third_party/wiredtiger/dist/s_stat
+++ b/src/third_party/wiredtiger/dist/s_stat
@@ -2,7 +2,7 @@
# Complain about unused statistics fields.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# List of files to search: skip stat.c, it lists all of the fields by
# definition.
diff --git a/src/third_party/wiredtiger/dist/s_string b/src/third_party/wiredtiger/dist/s_string
index 32aa7528979..b7b0a4bbdba 100755
--- a/src/third_party/wiredtiger/dist/s_string
+++ b/src/third_party/wiredtiger/dist/s_string
@@ -3,7 +3,7 @@
# Check spelling in comments and quoted strings from the source files.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# Insulate against locale-specific sort order
LC_ALL=C
diff --git a/src/third_party/wiredtiger/dist/s_style b/src/third_party/wiredtiger/dist/s_style
index 47f18ef1f18..3860a23b991 100755
--- a/src/third_party/wiredtiger/dist/s_style
+++ b/src/third_party/wiredtiger/dist/s_style
@@ -2,7 +2,7 @@
# General style correction and cleanup.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# Parallelize if possible.
xp=""
@@ -183,3 +183,5 @@ else
cmp $t $f > /dev/null 2>&1 || (echo "modifying $f" && cp $t $f)
fi
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_tags b/src/third_party/wiredtiger/dist/s_tags
index faed132d05b..edb1567992c 100755
--- a/src/third_party/wiredtiger/dist/s_tags
+++ b/src/third_party/wiredtiger/dist/s_tags
@@ -1,41 +1,43 @@
#! /bin/sh
-# Build tags file.
-#
-t=__a.c
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+# Build tags files.
+trap 'rm -f tags' 0 1 2 3 13 15
# Skip this when building release packages
test -n "$WT_RELEASE_BUILD" && exit 0
+# We have to be in the dist directory to run.
+test -f s_tags || {
+ echo "s_tags requires dist be the current working directory"
+ exit 1
+}
+
# We require ctags which may not be installed.
type ctags > /dev/null 2>&1 || {
- echo 'skipped: ctags not found' > $t
+ echo 'skipped: ctags not found'
exit 0
}
# Test to see what flags this ctags binary supports.
-# Use the -d, -t and -w flags to ctags if available.
flags=""
-echo "f() { int a; }" > $t
for i in -d -t -w --language-force=C; do
- if ctags $i $t 2>/dev/null; then
+ if ctags $i ../src/conn/api_strerror.c 2>/dev/null; then
flags="$i $flags"
fi
done
-# Generate a tags file for the build directory
-(cd ../build_posix
-rm -f tags
-ctags $flags ../src/include/*.in ../src/*/*.[chi] 2>/dev/null)
+# Generate a tags file for the standard build directory.
+(cd ../build_posix &&
+rm -f tags &&
+ctags $flags ../src/include/*.in `find ../src -name '*.[chi]'` 2>/dev/null)
-# Put the shared tags file in the include directory, it's at the same level in
-# the tree as the other source files.
-(cd ../src/include
-rm -f tags
-ctags $flags ../include/*.in ../*/*.[chi] 2>/dev/null)
+# Generate a tags file for the src/include directory.
+(cd ../src/include &&
+rm -f tags &&
+ctags $flags ../include/*.in `find .. -name '*.[chi]'` 2>/dev/null)
-# Link the tags file into place if we're at the right level.
+# Link the tags file into place in the standard source directories, if we're
+# at the right level.
link_tag()
{
if test -e ../include/tags; then
@@ -46,8 +48,9 @@ link_tag()
# Link to the tags file from standard build and source directories.
dirs="`python -c 'import dist; dist.print_source_dirs()'` ../src/os_win"
for i in $dirs; do
- if expr "$i" : ".*/include" > /dev/null; then
- continue
- fi
+ expr "$i" : ".*/include" > /dev/null && continue
+
(cd $i && link_tag)
done
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_typedef b/src/third_party/wiredtiger/dist/s_typedef
index b044a0e6b4b..d4bcda94e74 100755
--- a/src/third_party/wiredtiger/dist/s_typedef
+++ b/src/third_party/wiredtiger/dist/s_typedef
@@ -1,7 +1,7 @@
#! /bin/sh
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# Insulate against locale-specific sort order and IFS from the user's env
LC_ALL=C
diff --git a/src/third_party/wiredtiger/dist/s_void b/src/third_party/wiredtiger/dist/s_void
index ab2f23a5fdd..f7bfbcc7e8e 100644
--- a/src/third_party/wiredtiger/dist/s_void
+++ b/src/third_party/wiredtiger/dist/s_void
@@ -1,7 +1,7 @@
#! /bin/sh
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
cd ..
@@ -132,3 +132,5 @@ for f in `find bench ext src test -name '*.[ci]'`; do
cat $t
}
done
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_whitespace b/src/third_party/wiredtiger/dist/s_whitespace
index e60d85f8cc6..0de59bc5825 100755
--- a/src/third_party/wiredtiger/dist/s_whitespace
+++ b/src/third_party/wiredtiger/dist/s_whitespace
@@ -2,7 +2,7 @@
# Single space and remove trailing whitespace from source files.
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# Clear lines that only contain whitespace, compress multiple empty lines
# into a single line, discard trailing empty lines.
@@ -30,3 +30,5 @@ find bench dist examples ext src test \
| while read f ; do
whitespace $f
done
+
+exit 0
diff --git a/src/third_party/wiredtiger/dist/s_wtstats b/src/third_party/wiredtiger/dist/s_wtstats
index 834b011110e..82eee1ab1cf 100755
--- a/src/third_party/wiredtiger/dist/s_wtstats
+++ b/src/third_party/wiredtiger/dist/s_wtstats
@@ -3,7 +3,7 @@
# Create wtstats.template.html file
t=__wt.$$
-trap 'rm -f $t; exit 0' 0 1 2 3 13 15
+trap 'rm -f $t' 0 1 2 3 13 15
# We require npm which may not be installed.
type npm > /dev/null 2>&1 || {